Bug 492281 - Package perl-IO-Capture is not Required by anything on Satellite 5.3.0, we might want to not ship it
Package perl-IO-Capture is not Required by anything on Satellite 5.3.0, we mi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Preethi Thomas
:
Depends On:
Blocks: 463877
  Show dependency treegraph
 
Reported: 2009-03-26 06:54 EDT by Tomas Lestach
Modified: 2009-09-10 14:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:49:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Lestach 2009-03-26 06:54:46 EDT
Description of problem:

Package perl-IO-Capture is not Required by anything on Satellite 5.3.0, we might want to not ship it.

Version-Release number of selected component (if applicable):

Satellite-5.3.0-RHEL5-re20090323.0 on i386
perl-IO-Capture-0.03-8.el5.noarch.rpm

How reproducible:

Deterministic.

Steps to Reproduce:
1. Install Satellite 5.3.0.
2. Run rpm -q perl-IO-Capture, check that package perl-IO-Capture is installed.
3. Run rpm -e perl-IO-Capture.
4. Run rpm -q perl-IO-Capture again, check that it's now been removed.
  
Actual results:

Package perl-IO-Capture is installed but it is not required by anything in the Satellite, so it can safely be removed.

Expected results:

Either the package should be Required by some other package, or it should not be on the compose.

Additional info:

On Satellite 5.2.0, perl-IO-Capture was needed by NPalert, but is not required in 5.3.0 any more.
Comment 2 Miroslav Suchý 2009-03-27 06:19:15 EDT
It can be safely removed. Filed in rel-eng ticket #38242.
Comment 3 Preethi Thomas 2009-04-13 14:55:22 EDT
verified.
checked in rhel4 & rhel5 satellite 5.30 installs. 
Satellite-5.3.0-RHEL4-re20090409.1-i386-embedded-oracle.iso
Satellite-5.3.0-RHEL5-re20090409.1-i386-embedded-oracle.iso
Comment 4 Milan Zázrivec 2009-09-02 10:30:36 EDT
Verified in stage -> RELEASE_PENDING
Comment 5 Brandon Perkins 2009-09-10 14:49:22 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.